Skip to main content
GET
/
me
Get Current Identity
curl --request GET \
  --url https://api.example.com/me \
  --header 'Authorization: Bearer <token>'
{
  "principal": {
    "type": "<string>",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_user_id": "<string>",
    "email": "<string>",
    "display_name": "<string>"
  },
  "active_org": {
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "role": "<string>",
    "status": "<string>",
    "plan": "free",
    "parent_org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "billing_org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "credits": {},
  "quota_usage": {
    "total_storage_bytes": 0,
    "total_gpu_hours_seconds": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Response

Successful Response

Response for GET /me.

principal
Principal · object
required

Principal information (user or API key).

active_org
OrgSummary · object
required

Organization summary with user's role and status.

credits
Credits · object
required
quota_usage
OrgQuotaUsage · object
required

Organization quota/resource usage.